<?php
// wcf imports
require_once(WCF_DIR.'lib/page/AbstractPage.class.php');
require_once(WCF_DIR.'lib/data/user/usersOnline/UsersOnlineList.class.php');

/**
 * Shows the online-list
 *
 * @author 	Tim Düsterhus
 * @copyright 	2011 Tim Düsterhus
 * @package 	timwolla.wcf.chat.invitation
 * @license 	Creative Commons BY-NC-ND <http://creativecommons.org/licenses/by-nc-nd/3.0/de/>
 */
class ChatInvitationPage extends AbstractPage {
	public $templateName = 'chatInvitation';
	public $neededPermissions = 'user.chat.canInvite';
	public $onlineList = null;
	public $overlayID = 'invitation';
	
	/**
	 * @see Page::readData()
	 */
	public function readData() {
		parent::readData();

		$this->onlineList = new UsersOnlineList();
	}
	
	/**
	 * @see Page::assignVariables()
	 */
	public function assignVariables() {
		parent::assignVariables();

		$this->onlineList->renderOnlineList();

		WCF::getTPL()->assign(array(
			'overlayID' => $this->overlayID
		));
	}
	
	/**
	 * @see Page::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
		
		if (isset($_GET['overlayID'])) $this->overlayID = $_GET['overlayID'];
	}
}
